Cool! Now the npm on My Box work smoothly with node v0.6.0

Yesterday, I’m getting stuck that the npm installed on my box doesn’t work with node v0.6.0. Do I have revert to node v0.4.0. or just stick with the v0.6.0?

This morning I’m trying to find out the answer by search on the npm github project with the query is “npm doesn’t work” and this what I got:

Isaacs said "Upgrade your version of npm."

Isaacs said "Upgrade your version of npm."

Yes, on one of the search result he said “Upgrade your version of npm”. Well, I followed the instruction to upgrade the version of my npm by using this command:

curl http://npmjs.org/install.sh | sudo sh

ghazali@xxx-devenvironment:/opt$  curl http://npmjs.org/install.sh | sudo sh
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  7184  100  7184    0     0   3347      0  0:00:02  0:00:02 --:--:--  9354
tar=/bin/tar
version:
tar (GNU tar) 1.25
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by John Gilmore and Jay Fenlason.
fetching: http://registry.npmjs.org/npm/-/npm-1.0.106.tgz
0.6.0
1.0.106
cleanup prefix=/usr/local

<strong>All clean!</strong>
<strong>/usr/local/bin/npm -> /usr/local/lib/node_modules/npm/bin/npm-cli.js</strong>
<strong>/usr/local/bin/npm_g -> /usr/local/lib/node_modules/npm/bin/npm-cli.js</strong>
<strong>/usr/local/bin/npm-g -> /usr/local/lib/node_modules/npm/bin/npm-cli.js</strong>
<strong>npm@1.0.106 /usr/local/lib/node_modules/npm</strong>
<strong>It worked</strong>
ghazali@xxx-devenvironment:/opt$  npm

Usage: npm <command>

where <command> is one of:
    adduser, apihelp, author, bin, bugs, c, cache, completion,
    config, deprecate, docs, edit, explore, faq, find, get,
    help, help-search, home, i, info, init, install, la, link,
    list, ll, ln, ls, outdated, owner, pack, prefix, prune,
    publish, r, rb, rebuild, remove, restart, rm, root,
    run-script, s, se, search, set, show, star, start, stop,
    submodule, tag, test, un, uninstall, unlink, unpublish,
    unstar, up, update, version, view, whoami

npm <cmd> -h     quick help on <cmd>
npm -l           display full usage info
npm faq          commonly asked questions
npm help <term>  search for help on <term>
npm help npm     involved overview

Specify configs in the ini-formatted file:
    /home/ghazali/.npmrc
or on the command line via: npm <command> --key value
Config info can be viewed via: npm help config

Done! The upgrade process is work smoothly and Do I have revert to node v0.4.0. or just stick with the v0.6.0? No, I don’t have to downgrade to node v0.4.0, just upgrade the version of npm and the npm will work as usual.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s